Package Base Details: datagrip

Git Clone URL: https://aur.archlinux.org/datagrip.git (read-only, click to copy)
Submitter: freswa
Maintainer: freswa
Last Packager: freswa
Votes: 54
Popularity: 0.157047
First Submitted: 2015-12-16 16:43
Last Updated: 2021-10-12 15:42

Packages (2)

Latest Comments

1 2 3 Next › Last »

diogobaeder commented on 2021-09-20 21:49

Sorry, I deleted my previous comment (about trying to make datagrip work with datagrip-jre) because it was just stupid - only later I realized that datagrip doesn't depend on datagrip-jre to be installed, so after I explicitly installed it, datagrip works just fine. My bad, lack of attention, sorry...

freswa commented on 2021-09-20 21:46

Create ~/.config/JetBrains/DataGrip2021.2/datagrip.jdk with the path to the jdk you would like to use. E.g. /usr/lib/jvm/java-11-openjdk

newsboost commented on 2021-08-25 10:50

For the reference, this solved my problem: archlinux-java set java-11-openjdk

newsboost commented on 2021-08-24 08:04

@freswa: Thanks - I thought I had the latest JRE: I have "extra/jre-openjdk 16.0.2.u7-1 (183.7 KiB 507.4 KiB) (Installed)" and 'java -version' says: 'openjdk version "1.8.0_292"'. But I uninstalled and installed datagrip-jre. The problem is that I don't see any "datagrip" binary executable to start. I don't understand that (unlike for the other package). So I'm thinking, maybe it's better to install via snap, although I prefer Arch-packages (incl. AUR)... hmm... Snap is last resort.

freswa commented on 2021-08-23 15:06

You need a newer JRE or datagrip-jre

newsboost commented on 2021-08-23 14:56

Hi, I'm new to this. Just tried to install datagrip (no error messages, installation seemed to run fine) and run it, but when I try to run it, it says:

$ datagrip
Error occurred during initialization of VM
java.lang.UnsupportedClassVersionError: com/intellij/util/lang/PathClassLoader has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:348)
    at java.lang.SystemClassLoaderAction.run(ClassLoader.java:2202)
    at java.lang.SystemClassLoaderAction.run(ClassLoader.java:2188)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.lang.ClassLoader.initSystemClassLoader(ClassLoader.java:1449)
    at java.lang.ClassLoader.getSystemClassLoader(ClassLoader.java:1429)

I've never tried datagrip before so I don't really know what this is about, but this seems wrong?

cradcore commented on 2021-01-12 18:10

JVM 15 breaks this. "unrecognized vm option "UseConcMarkSweepGC""

Fixed by removing that option from /opt/datagrip/bin/datagrip64.vmoptions

ShroudedNight commented on 2020-11-25 19:55

The following change appears to successfully build the 2020.3 release:

diff --git a/.SRCINFO b/.SRCINFO
index 82ee535..c5009b9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
 pkgbase = datagrip
        pkgdesc = Smart SQL Editor and Advanced Database Client Packed Together for Optimum Productivity
-       pkgver = 2020.2.3
+       pkgver = 2020.3
        pkgrel = 1
        url = https://www.jetbrains.com/datagrip/
        arch = any
@@ -9,10 +9,10 @@ pkgbase = datagrip
        conflicts = 0xdbe
        conflicts = 0xdbe-eap
        options = !strip
-       source = https://download.jetbrains.com/datagrip/datagrip-2020.2.3.tar.gz
+       source = https://download.jetbrains.com/datagrip/datagrip-2020.3.tar.gz
        source = jetbrains-datagrip.desktop
        source = LICENSE
-       b2sums = 9020dd7b639763c37ba666d10d7a1b6ef96c39c7fbdb4c5faa15d11f200e60f8b4ae64d84d5d37fac651a1b0bcf3545e7dfc9423e2b7c984e6378bf516d3b4dc
+       b2sums = 40e93699b8c47a086cda507489c5002c7992e35d4fba53c08713d3e0ae36efd07b2360e1f41df2b3ac44ea0958c45284273ba52c29e81732589023e9c3a6e6d9
        b2sums = 780f396da1c57c872b17e10576f2671346ad7c0442efec77369428b465befe772b5fd2c9c81a46ffe458472c2550082fb12adaf9d39b51fb41499bfb1bbca441
        b2sums = dadaf0e67b598aa7a7a4bf8644943a7ee8ebf4412abb17cd307f5989e36caf9d0db529a0e717a9df5d9537b10c4b13e814b955ada6f0d445913c812b63804e77

diff --git a/PKGBUILD b/PKGBUILD
index fb105aa..8af9bfb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@

 pkgbase=datagrip
 pkgname=(datagrip datagrip-jre)
-pkgver=2020.2.3
+pkgver=2020.3
 pkgrel=1
 pkgdesc='Smart SQL Editor and Advanced Database Client Packed Together for Optimum Productivity'
 arch=('any')
@@ -14,7 +14,7 @@ options=('!strip')
 source=("https://download.jetbrains.com/${pkgbase}/${pkgbase}-${pkgver}.tar.gz"
         jetbrains-datagrip.desktop
         LICENSE)
-b2sums=('9020dd7b639763c37ba666d10d7a1b6ef96c39c7fbdb4c5faa15d11f200e60f8b4ae64d84d5d37fac651a1b0bcf3545e7dfc9423e2b7c984e6378bf516d3b4dc'
+b2sums=('40e93699b8c47a086cda507489c5002c7992e35d4fba53c08713d3e0ae36efd07b2360e1f41df2b3ac44ea0958c45284273ba52c29e81732589023e9c3a6e6d9'
         '780f396da1c57c872b17e10576f2671346ad7c0442efec77369428b465befe772b5fd2c9c81a46ffe458472c2550082fb12adaf9d39b51fb41499bfb1bbca441'
         'dadaf0e67b598aa7a7a4bf8644943a7ee8ebf4412abb17cd307f5989e36caf9d0db529a0e717a9df5d9537b10c4b13e814b955ada6f0d445913c812b63804e77')

tocic commented on 2019-11-27 10:37

Please increment pkgrel field when you fix/add something according to https://wiki.archlinux.org/index.php/PKGBUILD#pkgrel.

Musikolo commented on 2019-11-09 18:19

For those using Plasma KDE, you'll probably notice the datagrip icon won't be displayed if you added it as a favorite. There is bug open at https://bugs.kde.org/show_bug.cgi?id=394981#c13 where you can find a workaround.

I hope it helps.

Thanks.